Page MenuHomePhabricator

[compiler-rt][asan] Turn on ASAN unittests for win64.
ClosedPublic

Authored by etienneb on Sep 19 2016, 12:41 PM.

Diff Detail

Event Timeline

etienneb updated this revision to Diff 71868.Sep 19 2016, 12:41 PM
etienneb retitled this revision from to [compiler-rt][asan] Turn on ASAN unittests for win64..
etienneb updated this object.
etienneb added a reviewer: rnk.
etienneb added subscribers: chrisha, llvm-commits.
rnk accepted this revision.Mar 2 2017, 11:35 AM

lgtm This should start running the asan win64 tests on http://lab.llvm.org:8011/builders/clang-x64-ninja-win7/.

This revision is now accepted and ready to land.Mar 2 2017, 11:35 AM
rnk added a comment.Mar 2 2017, 11:37 AM

... of course, that bot appears to be offline. =/

This is an old patch.
I'm gonna rebase it and test it.
thx

Seems right on win7

D:\src\llvm\ninja64>ninja check-asan
[32/33] Running the AddressSanitizer tests
-- Testing: 565 tests, 16 threads --
Testing: 0 .. 10.. 20.. 30.. 40.. 50.. 60.. 70.. 80.. 90..
Testing Time: 67.76s
  Expected Passes    : 385
  Passes With Retry  : 1
  Expected Failures  : 17
  Unsupported Tests  : 162

D:\src\llvm\ninja64>ninja check-asan-dynamic
[22/23] Running the AddressSanitizer tests with dynamic runtime
-- Testing: 533 tests, 16 threads --
Testing: 0 .. 10.. 20.. 30.. 40.. 50.. 60.. 70.. 80.. 90..
Testing Time: 70.62s
  Expected Passes    : 347
  Expected Failures  : 22
  Unsupported Tests  : 164
etienneb closed this revision.Mar 3 2017, 8:47 AM